Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl.matchers
Class AndMatcher<T extends Key<?>>

    java.lang.Object
      org.quartz.impl.matchers.AndMatcher<T>

All Implemented Interfaces:
  Serializable, Matcher<T>

    public class AndMatcher<T extends Key<?>>

extends Object
implements Matcher<T>

Matches using an AND operator on two Matcher operands.

Author:
  jhouse
See Also:
  Serialized Form

Field Summary
`protected Matcher<T>` | `leftOperand`
`protected Matcher<T>` | `rightOperand`

Constructor Summary
`protected` | `AndMatcher(Matcher<T> leftOperand, Matcher<T> rightOperand)`

Method Summary
`static
`<U extends Key<?>> AndMatcher<U>`
` | `and(Matcher<U> leftOperand, Matcher<U> rightOperand)` Create an AndMatcher that depends upon the result of both of the given matchers.
`boolean` | `equals(Object obj)`
`Matcher<T>` | `getLeftOperand()`
`Matcher<T>` | `getRightOperand()`
`int` | `hashCode()`
`boolean` | `isMatch(T key)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### leftOperand

    protected Matcher<T extends Key<?>> leftOperand

### rightOperand

    protected Matcher<T extends Key<?>> rightOperand

Constructor Detail

### AndMatcher

    protected AndMatcher(Matcher<T> leftOperand,
                         Matcher<T> rightOperand)

Method Detail

### and

    public static <U extends Key<?>> AndMatcher<U> and(Matcher<U> leftOperand,
                                                       Matcher<U> rightOperand)

  Create an AndMatcher that depends upon the result of both of the given matchers.

### isMatch

    public boolean isMatch(T key)

  Specified by:
    `isMatch` in interface `Matcher<T extends Key<?>>`

### getLeftOperand

    public Matcher<T> getLeftOperand()

### getRightOperand

    public Matcher<T> getRightOperand()

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Matcher<T extends Key<?>>`
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Matcher<T extends Key<?>>`
  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.